Bug 125742 - autofs direct mounts not working plus nis weirdness
autofs direct mounts not working plus nis weirdness
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-06-10 15:10 EDT by Scott A. Friedman
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.1.3-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-05 10:16:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
solaris 9 server auto_master file (135 bytes, text/plain)
2004-08-03 14:33 EDT, Alastair Neil
no flags Details
solaris 9 server auto_direct file (1.81 KB, text/plain)
2004-08-03 14:34 EDT, Alastair Neil
no flags Details

  None (edit)
Description Scott A. Friedman 2004-06-10 15:10:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
upgraded to FC2 and no longer had anything under /usr

traced problem to auto.direct trying setup a mount on /usr/local/etc
which worked under FC1. it appears that automounter tries to mount
over /usr not /usr/local/etc

startup always looks for nis maps even if nsswitch says not to. also,
i use nis for my maps and 'service autofs status' shows both the local
files and the nis maps even though they have duplicates. 

have to manually kill the automount processes and umount /usr to get
things working again - of course without the /usr/local/etc mount i
would like to have.

FC2 unusable for us :-(

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. try to auto.direct mount something with more than one directory
level in it
2. use nis auto.xxx maps


Additional info:
Comment 1 Jeffrey Moyer 2004-07-06 09:45:00 EDT
autofs-3.1.7 did not support direct maps, so I'm not sure how this
used to work.

autofs-4 documents that direct mounts do not work as they do with the
Sun automounter.  From the README.direct:

NOTE: Due to current design limitations, direct maps will take over an
  entire directory hierarchy.  What this means is, if your direct map key
  is /usr/share/bilbo, then /usr will become an automount mount point,
  mounting over the existing /usr.

>startup always looks for nis maps even if nsswitch says not to. also,

auto.master will be looked for only in the areas specified by
nsswitch.conf.  Other maps, however, will be looked for in the
following order:

program map
program map in /etc
file map
hesiod map
multi map

>i use nis for my maps and 'service autofs status' shows both the 
>local files and the nis maps even though they have duplicates.

You failed to specify the contents of your auto.master and
nsswitch.conf for the failure you are seeing.  Please post them.

Also, in the future, please file only one bug per bugzilla.
Comment 2 Alastair Neil 2004-08-03 14:33:51 EDT
Created attachment 102398 [details]
solaris 9 server auto_master file
Comment 3 Alastair Neil 2004-08-03 14:34:39 EDT
Created attachment 102399 [details]
solaris 9 server auto_direct file
Comment 4 Alastair Neil 2004-08-03 14:35:50 EDT
I have the same problem with a direct map under nis. In my case it is
/usr/local the server exports. The server is solaris 9.  I am
attaching the auto_direct and auto_master files from the server.  No
modifications to the nsswitch.conf or auto.master files were made
after nis client was enabled.
Comment 5 Jeffrey Moyer 2004-08-03 17:00:27 EDT
Unfortunately, this is a functions as designed thing.  I will look
into disabling direct map support for autofs, since it seems to cause
more problems than it solves.  Note that this is an interim solution.
 Eventually, this package will have the same semantics as the Sun

Comment 6 Jeffrey Moyer 2004-08-31 17:24:15 EDT
You can now disable direct mount support in /etc/sysconfig/autofs by
specifying DISABLE_DIRECT=1.  The version which supports this is
autofs-4.1.3-17.  It will be available in fc3 when that is released,
and should be available in rawhide in short order (I did the build today).

I also have a patch in this version which should source only one
master map.  Please let me know if this works as desired for you. 
More changes regarding nsswitch.conf are underway, and are being
tracked via featurezilla #107581.

Comment 7 W. Michael Petullo 2005-01-12 23:25:55 EST
So, is it currently impossible for one to have a "mixed" /home,
containing some local directories and some autofs managed mount
points?  This is is how I intrerpret comment #1.
Comment 8 Jeffrey Moyer 2006-04-05 10:16:05 EDT
Sorry for the *really* late response.  Your assessment is correct.  This is
targeted for fixing in autofs version 5.

I'm setting this bug to closed, since the problem of autofs overmounting /usr by
default is gone.  You can track the v5 development upstream, whenever that gets
to a stable state.

Note You need to log in before you can comment on or make changes to this bug.